package com.qmth.teachcloud.common.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.teachcloud.common.base.BaseEntity;
import com.qmth.teachcloud.common.contant.SystemConstant;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 学校表
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("basic_school")
public class BasicSchool extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    private String code;

    private String name;

    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
    private Boolean enable = true;

    @TableField("access_key")
    private String accessKey;

    @TableField("access_secret")
    private String accessSecret;

    private String remark;

    @ApiModelProperty(value = "学校logo")
    @TableField(value = "logo")
    private String logo;

    public BasicSchool() {

    }

    public BasicSchool(String code, String name, String accessKey, String accessSecret) {
        this.code = code;
        this.name = name;
        this.accessKey = accessKey;
        this.accessSecret = accessSecret;
        setId(SystemConstant.getDbUuid());
        this.enable = true;
    }

    public BasicSchool(String code, String name, String accessKey, String accessSecret, String logo) {
        this.code = code;
        this.name = name;
        this.accessKey = accessKey;
        this.accessSecret = accessSecret;
        this.logo = logo;
        setId(SystemConstant.getDbUuid());
        this.enable = true;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
